org.eclipse.microprofile.opentracing.tck.application

## Class TestAnnotatedMethods

- java.lang.Object
- - org.eclipse.microprofile.opentracing.tck.application.TestAnnotatedMethods

    @ApplicationScoped
    public class TestAnnotatedMethods
    extends Object

Injectable class without the Traced annotation on the class.

### Constructor Summary

Constructors
Constructor and Description
`TestAnnotatedMethods()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `annotatedMethodExplicitlyNotTraced()` Method that we expect to not be Traced.
`void` `annotatedMethodExplicitlyNotTracedWithOpName()` Method that we expect to not be Traced with operation name.
`void` `annotatedMethodExplicitlyTraced()` Method that we expect to be Traced.
`void` `annotatedMethodExplicitlyTracedWithOpName()` Method that we expect to be Traced with operation name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestAnnotatedMethods

    public TestAnnotatedMethods()

### Method Detail

#### annotatedMethodExplicitlyTraced

    @Traced
    public void annotatedMethodExplicitlyTraced()

Method that we expect to be Traced.

#### annotatedMethodExplicitlyNotTraced

    @Traced(value=false)
    public void annotatedMethodExplicitlyNotTraced()

Method that we expect to not be Traced.

#### annotatedMethodExplicitlyTracedWithOpName

    @Traced(operationName="explicitOperationName2")
    public void annotatedMethodExplicitlyTracedWithOpName()

Method that we expect to be Traced with operation name.

#### annotatedMethodExplicitlyNotTracedWithOpName

    @Traced(value=false,
            operationName="disabledOperationName")
    public void annotatedMethodExplicitlyNotTracedWithOpName()

Method that we expect to not be Traced with operation name.